<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 20/09/2019 - Created.
 -->
<!-- VTT WOA Manage Assignments Tradesman List -->
<template>

	<div class="slds-is-relative">
		<lightning-layout multiple-rows=true
						  class="slds-p-bottom--medium">
			<lightning-layout-item size=12
								   small-device-size=12
								   medium-device-size=6
								   large-device-size=6
								   class="slds-p-right--small">
				<lightning-combobox label="Vendor"
									options={allVendors}
									onchange={handleVendorSelection}
									disabled={notAdmin}
									value={selectedVendor}></lightning-combobox>
			</lightning-layout-item>

			<lightning-layout-item size=12
								   small-device-size=12
								   medium-device-size=6
								   large-device-size=6
								   class="slds-p-left--small">
				<lightning-dual-listbox label=""
										size=4
										source-label="Available Tradesmen"
										selected-label="Selected Tradesmen"
										options={allTradesmen}
										onchange={handleTradesmenSelection}
										value={selectedTradesmen}></lightning-dual-listbox>
			</lightning-layout-item>


		</lightning-layout>

		<lightning-spinner if:true={loading}
						   size="medium"
						   alternative-text="Action in progress..."
						   variant="brand"></lightning-spinner>
	</div>

</template>